lang/ruby32-base - The NetBSD Packages Collection

Ruby 3.2.2 release minimum base package

Ruby is a dynamic, open source programming language with a focus on
simplicity and productivity.  It has an elegant syntax that is natural to
read and easy to write.

Features of Ruby are shown below.
  + Simple Syntax
  + *Normal* Object-Oriented features (ex. class, method calls)
  + *Advanced* Object-Oriented features (ex. Mix-in, Singleton-method)
  + Operator Overloading
  + Exception Handling
  + Iterators and Closures
  + Garbage Collection
  + Dynamic Loading of Object files (on some architecture)
  + Highly Portable (works on many UNIX machines, and on Windows, Mac, etc.)

Ruby 3.2 introduces a number of new features and performance improvements,
here are some of them:
  * Performance: YJIT: New experimental in-process JIT compiler
  * Development supports
	- debug gem: A new debugger
	- error_highlight: Fine-grained error location in backtrace
	- IRB Autocomplete and Document Display

This package is Ruby 3.2 release minimum base package.

Build dependencies

pkgtools/mktools devel/pkgconf pkgtools/cwrappers

Runtime dependencies

devel/libffi textproc/libyaml devel/libffi textproc/libyaml

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64ruby32-base-3.2.2.tgz
NetBSD 10.0earmv6hfruby32-base-3.2.2.tgz
NetBSD 10.0earmv7hfruby32-base-3.2.2.tgz
NetBSD 8.0i386ruby32-base-3.2.2.tgz
NetBSD 8.0x86_64ruby32-base-3.2.2.tgz
NetBSD 9.0aarch64ruby32-base-3.2.2.tgz
NetBSD 9.0earmv6hfruby32-base-3.2.2.tgz
NetBSD 9.0earmv7hfruby32-base-3.2.2.tgz
NetBSD 9.0i386ruby32-base-3.2.2.tgz
NetBSD 9.0m68kruby32-base-3.2.2.tgz
NetBSD 9.0sparc64ruby32-base-3.2.2.tgz
NetBSD 9.0x86_64ruby32-base-3.2.1.tgz
NetBSD 9.0x86_64ruby32-base-3.2.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

ruby-build-ri-db
Build and install database for Ruby's ri utility.
ruby-yjit
Enable in-process JIT compiler (require Rust).

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.